/*
 * FCKeditor - The text editor for Internet - http://www.fckeditor.net
 * Copyright (C) 2003-2008 Frederico Caldeira Knabben
 * 
 * == BEGIN LICENSE ==
 * 
 * Licensed under the terms of any of the following licenses at your
 * choice:
 * 
 *  - GNU General Public License Version 2 or later (the "GPL")
 *    http://www.gnu.org/licenses/gpl.html
 * 
 *  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
 *    http://www.gnu.org/licenses/lgpl.html
 * 
 *  - Mozilla Public License Version 1.1 or later (the "MPL")
 *    http://www.mozilla.org/MPL/MPL-1.1.html
 * 
 * == END LICENSE ==
 */
package net.fckeditor.connector.impl;

import javax.servlet.ServletContext;

/**
 * This is a very shallow and simple implementation. It assigns/returns the
 * least amount of variables to work with the direct local filesystem.<br />
 * You may call this implementation and identity implementation:
 * <code>f(x)=x</code>.
 * 
 * @version $Id: LocalConnector.java 2742 2008-11-29 22:28:30Z mosipov $
 */
public class LocalConnector extends AbstracLocalFileSystemConnector {

	/**
	 * This method simply assigns the servlet context to the underlying instance
	 * field.
	 */
	public void init(final ServletContext servletContext) throws Exception {
		AbstracLocalFileSystemConnector.servletContext = servletContext;
	}

	/**
	 * This is an identity implementation, it passes the path as-is.
	 */
	@Override
	protected String getRealUserFilesAbsolutePath(String path) {
		return path;
	}

}
